Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#773 closed defect (fixed)

powerpc decrementer clock corrupted

Reported by: strauman Owned by: Joel Sherrill
Priority: highest Milestone: 2
Component: bsps Version: 4.7
Severity: critical Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Input register is clobbered in multi-statement asm resulting in incorrect re-load of the decrementer by clock ISR.

Note that the problem may or may not be triggered, depending on compiler strategies. Apparently, the 4.7 toolchain does trigger it but I don't consider the 4.6 compiler safe either. Needs to be fixed on both branches.

Release:
4.6, 4.7

Environment:
libcpu/powerpc/mpc6xx

Attachments (1)

ppc_decr_clock.diff (955 bytes) - added by strauman on 12/03/06 at 13:31:12.
ppc_decr_clock.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 09/01/05 at 12:49:35 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch previously committed by Eric Norum.

Changed on 12/03/06 at 13:31:12 by strauman

Attachment: ppc_decr_clock.diff added

ppc_decr_clock.diff

Note: See TracTickets for help on using tickets.